/*
* @id 表单id
* @pre 查询参数的前缀 e.g. '"action":"query",'
**/
function form2Json(id, pre) {
    var arr = $("#" + id).serializeArray(),
    jsonStr = [];
    jsonStr.push('{');
    if (arguments[1]) {
        jsonStr.push(pre);
    }
    for (var i = 0; i < arr.length; i++) {
        jsonStr.push('"');
        jsonStr.push(arr[i].name);
        jsonStr.push('":"');
        jsonStr.push(arr[i].value);
        jsonStr.push('",');
    }
    jsonStr = jsonStr.join('');
    jsonStr = jsonStr.substring(0, (jsonStr.length - 1));
    jsonStr += '}';
    return jsonStr; //$.parseJSON(jsonStr);
}
/*
* @form 表单对象
* @jsonObject 其他附加属性 e.g. {action:"query"}  {action:"query",type:1}
**/
function form2JsonString(form, jsonObject) {
    var arr = $(form).serializeArray(),
            jsonStr = [];
    jsonStr.push('{');
    if (arguments[1]) {
        for (var k in jsonObject) {
            jsonStr.push('"');
            jsonStr.push(k);
            jsonStr.push('":"');
            jsonStr.push(jsonObject[k]);
            jsonStr.push('",');
        }
    }
    for (var i = 0; i < arr.length; i++) {
        jsonStr.push('"');
        jsonStr.push(arr[i].name);
        jsonStr.push('":"');
        jsonStr.push(arr[i].value);
        jsonStr.push('",');
    }
    jsonStr = jsonStr.join('');
    jsonStr = jsonStr.substring(0, (jsonStr.length - 1));
    jsonStr += '}';
    return jsonStr;
}
/*
* @id 表单id
* @pre 查询参数的前缀 e.g. '"action":"query",'
**/
function form2String(id) {
    var arr = $("#" + id).serializeArray(),
    jsonStr = [];
    for (var i = 0; i < arr.length; i++) {
        jsonStr.push('&');
        jsonStr.push(arr[i].name);
        jsonStr.push('=');
        jsonStr.push(arr[i].value);
    }
    jsonStr = jsonStr.join('');
    return jsonStr; //$.parseJSON(jsonStr);
}
